Bug 1237089 - Power8(ppc64(le)) machine fails to boot 4.1.0+ kernel
Summary: Power8(ppc64(le)) machine fails to boot 4.1.0+ kernel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-06-30 10:46 UTC by Jakub Čajka
Modified: 2018-01-18 10:50 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-04 11:24:06 UTC


Attachments (Terms of Use)
Enable VSX code (1.93 KB, text/plain)
2015-07-10 17:21 UTC, IBM Bug Proxy
no flags Details
Call enable_kernel_vsx() in order to make vsx instruction available for vmx (5.41 KB, text/plain)
2015-07-10 17:21 UTC, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 127100 None None None Never

Description Jakub Čajka 2015-06-30 10:46:08 UTC
Description of problem:
Power8 bare metal machine fails to boot 4.1.0 kernel(ppc64le).

Version-Release number of selected component (if applicable):
first observed with 4.1.0-0.rc7.git0.1.fc23.ppc64le(also seems to affect 4.1.0-0.rc4.git0.1.fc23.ppc64le)

Actual results:
[    0.000000] opal: OPAL V3 detected !
[    0.000000] Using PowerNV machine description
[    0.000000] Page sizes from device-tree:
[    0.000000] base_shift=12: shift=12, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=0
[    0.000000] base_shift=12: shift=16, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=7
[    0.000000] base_shift=12: shift=24, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=56
[    0.000000] base_shift=16: shift=16, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=1
[    0.000000] base_shift=16: shift=24, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=8
[    0.000000] base_shift=24: shift=24, sllp=0x0100, avpnm=0x00000001, tlbiel=0, penc=0
[    0.000000] base_shift=34: shift=34, sllp=0x0120, avpnm=0x000007ff, tlbiel=0, penc=3
[    0.000000] Using 1TB segments
[    0.000000] cma: Reserved 6560 MiB at 0x0000001e56000000
[    0.000000] Found initrd at 0xc000000002ee0000:0xc0000000041f23da
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] CPU maps initialized for 8 threads per core
 -> smp_release_cpus()
spinning_secondaries = 79
 <- smp_release_cpus()
[    0.000000] Starting Linux PPC64 #1 SMP Sat Jun 20 00:16:07 UTC 2015
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size    = 0x0
[    0.000000] phys_mem_size     = 0x2000000000
[    0.000000] cpu_features      = 0x17fc7aed18500249
[    0.000000]   possible        = 0x1fffffef18500649
[    0.000000]   always          = 0x0000000018100040
[    0.000000] cpu_user_features = 0xdc0065c7 0xee000000
[    0.000000] mmu_features      = 0x7c000003
[    0.000000] firmware_features = 0x0000000430000000
[    0.000000] htab_address      = 0xc000001ff0000000
[    0.000000] htab_hash_mask    = 0xfffff
[    0.000000] -----------------------------------------------------
 <- setup_system()
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.1.0-0.rc7.git0.1.fc23.ppc64le (mockbuild@ppc-le-builder4.qa.fedoraproject.org) (gcc version 5.1.1 20150422 (Red Hat 5.1.1-1) (GCC) ) #1 SMP Sat Jun 20 00:16:07 UTC 2015
[    0.000000] numa: Initmem setup node 0 [mem 0x00000000-0xfffffffff]
[    0.000000] numa:   NODE_DATA [mem 0xfffff5000-0xfffffffff]
[    0.000000] numa: Initmem setup node 1 [mem 0x1000000000-0x1fffffffff]
[    0.000000] numa:   NODE_DATA [mem 0x1fffd35000-0x1fffd3ffff]
[    0.000000] Initializing IODA2 OPAL PHB /pciex@3fffe40000000
[    0.000000] PCI host bridge /pciex@3fffe40000000 (primary) ranges:
[    0.000000]  MEM 0x00003fe000000000..0x00003fe07ffeffff -> 0x0000000080000000 
[    0.000000]  MEM64 0x00003b0000000000..0x00003b0fffffffff -> 0x00003b0000000000
[    0.000000]   256 (000) PE's M32: 0x80000000 [segment=0x800000]
[    0.000000]                  M64: 0x1000000000 [segment=0x10000000]
[    0.000000]   Allocated bitmap for 2040 MSIs (base IRQ 0x800)
[    0.000000] Initializing IODA2 OPAL PHB /pciex@3fffe40100000
[    0.000000] PCI host bridge /pciex@3fffe40100000  ranges:
[    0.000000]  MEM 0x00003fe080000000..0x00003fe0fffeffff -> 0x0000000080000000 
[    0.000000]  MEM64 0x00003b1000000000..0x00003b1fffffffff -> 0x00003b1000000000
[    0.000000]   256 (000) PE's M32: 0x80000000 [segment=0x800000]
[    0.000000]                  M64: 0x1000000000 [segment=0x10000000]
[    0.000000]   Allocated bitmap for 2040 MSIs (base IRQ 0x1000)
[    0.000000] Initializing IODA2 OPAL PHB /pciex@3fffe40400000
[    0.000000] PCI host bridge /pciex@3fffe40400000  ranges:
[    0.000000]  MEM 0x00003fe200000000..0x00003fe27ffeffff -> 0x0000000080000000 
[    0.000000]  MEM64 0x00003b4000000000..0x00003b4fffffffff -> 0x00003b4000000000
[    0.000000]   256 (000) PE's M32: 0x80000000 [segment=0x800000]
[    0.000000]                  M64: 0x1000000000 [segment=0x10000000]
[    0.000000]   Allocated bitmap for 2040 MSIs (base IRQ 0x2800)
[    0.000000] Initializing IODA2 OPAL PHB /pciex@3fffe40500000
[    0.000000] PCI host bridge /pciex@3fffe40500000  ranges:
[    0.000000]  MEM 0x00003fe280000000..0x00003fe2fffeffff -> 0x0000000080000000 
[    0.000000]  MEM64 0x00003b5000000000..0x00003b5fffffffff -> 0x00003b5000000000
[    0.000000]   256 (000) PE's M32: 0x80000000 [segment=0x800000]
[    0.000000]                  M64: 0x1000000000 [segment=0x10000000]
[    0.000000]   Allocated bitmap for 2040 MSIs (base IRQ 0x3000)
[    0.000000] OPAL nvram setup, 1048576 bytes
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000000000-0x0000001fffffffff]
[    0.000000]   DMA32    empty
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000000000-0x0000000fffffffff]
[    0.000000]   node   1: [mem 0x0000001000000000-0x0000001fffffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000000000-0x0000000fffffffff]
[    0.000000] Initmem setup node 1 [mem 0x0000001000000000-0x0000001fffffffff]
[    0.000000] PERCPU: Embedded 3 pages/cpu @c000000ff9c00000 s127384 r0 d69224 u262144
[    0.000000] Built 2 zonelists in Node order, mobility grouping on.  Total pages: 2095104
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: root=/dev/mapper/fedora--server_ibm--p8--generic--02-root ro rd.lvm.lv=fedora-server_ibm-p8-generic-02/root rd.lvm.lv=fedora-server_ibm-p8-generic-02/swap LANG=en_US.UTF-8
[    0.000000] log_buf_len individual max cpu contribution: 4096 bytes
[    0.000000] log_buf_len total cpu_extra contributions: 323584 bytes
[    0.000000] log_buf_len min size: 262144 bytes
[    0.000000] log_buf_len: 1048576 bytes
[    0.000000] early log buf free: 254768(97%)
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Sorting __ex_table...
[    0.000000] Memory: 126899968K/134217728K available (9856K kernel code, 1472K rwdata, 2976K rodata, 5312K init, 2685K bss, 600320K reserved, 6717440K cma-reserved)
[    0.000000] SLUB: HWalign=128, Order=0-3, MinObjects=0, CPUs=80, Nodes=2
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=80.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=80
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] ICS OPAL backend registered
[    0.000000] 	Offload RCU callbacks from all CPUs
[    0.000000] 	Offload RCU callbacks from CPUs: 0-79.
[    0.000003] clocksource timebase: mask: 0xffffffffffffffff max_cycles: 0x761537d007, max_idle_ns: 440795202126 ns
[    0.001369] clocksource: timebase mult[1f40000] shift[24] registered
[    0.002380] Console: colour dummy device 80x25
[    0.002966] console [hvc0] enabled
[    0.002966] console [hvc0] enabled
[    0.003593] bootconsole [udbg0] disabled
[    0.003593] bootconsole [udbg0] disabled
[    0.004906] mempolicy: Enabling automatic NUMA balancing. Configure with numa_balancing= or the kernel.numa_balancing sysctl
[    0.005089] pid_max: default: 81920 minimum: 640
[    0.006709] Security Framework initialized
[    0.006788] SELinux:  Initializing.
[    0.007048] Yama: becoming mindful.
[    0.009129] Dentry cache hash table entries: 16777216 (order: 11, 134217728 bytes)
[    0.063902] Inode-cache hash table entries: 8388608 (order: 10, 67108864 bytes)
[    0.089790] Mount-cache hash table entries: 262144 (order: 5, 2097152 bytes)
[    0.089924] Mountpoint-cache hash table entries: 262144 (order: 5, 2097152 bytes)
[    0.092786] Initializing cgroup subsys blkio
[    0.092838] Initializing cgroup subsys memory
[    0.092911] Initializing cgroup subsys devices
[    0.092962] Initializing cgroup subsys freezer
[    0.093057] Initializing cgroup subsys net_cls
[    0.093149] Initializing cgroup subsys perf_event
[    0.093253] Initializing cgroup subsys net_prio
[    0.093346] Initializing cgroup subsys hugetlb
[    0.093642] ftrace: allocating 25213 entries in 10 pages
[    0.105962] EEH: PowerNV platform initialized
[    0.106080] POWER8 performance monitor hardware support registered
[    0.106228] power8-pmu: PMAO restore workaround active.
[    0.144420] Brought up 80 CPUs
[    0.147499] devtmpfs: initialized
[    0.168746] EEH: devices created
[    0.169030] clocksource jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    0.170927] atomic64_test: passed
[    0.171239] NET: Registered protocol family 16
[    0.171338] IBM eBus Device Driver
[    0.175786] cpuidle: using governor menu
[    0.175900] pstore: Registered nvram as persistent store backend
[    0.182042] PCI: Probing PCI hardware
[    0.182112] PCI: I/O resource not set for host bridge /pciex@3fffe40000000 (domain 0)
[    0.182278] PCI host bridge to bus 0000:00
[    0.182346] pci_bus 0000:00: root bus resource [mem 0x3fe000000000-0x3fe07ffeffff] (bus address [0x80000000-0xfffeffff])
[    0.182526] pci_bus 0000:00: root bus resource [mem 0x3b0010000000-0x3b0fffffffff 64bit pref]
[    0.182684] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.182990] pci 0000:00:00.0: PCI bridge to [bus 01]
[    0.183108] PCI: I/O resource not set for host bridge /pciex@3fffe40100000 (domain 1)
[    0.183274] PCI host bridge to bus 0001:00
[    0.183343] pci_bus 0001:00: root bus resource [mem 0x3fe080000000-0x3fe0fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.183523] pci_bus 0001:00: root bus resource [mem 0x3b1010000000-0x3b1fffffffff 64bit pref]
[    0.183682] pci_bus 0001:00: root bus resource [bus 00-ff]
[    0.184207] pci 0001:00:00.0: PCI bridge to [bus 01-05]
[    0.185083] pci 0001:01:00.0: PCI bridge to [bus 02-05]
[    0.185788] pci 0001:02:01.0: PCI bridge to [bus 03]
[    0.186220] pci 0001:02:08.0: PCI bridge to [bus 04]
[    0.187543] pci 0001:02:09.0: PCI bridge to [bus 05]
[    0.187708] PCI: I/O resource not set for host bridge /pciex@3fffe40400000 (domain 2)
[    0.187801] PCI host bridge to bus 0002:00
[    0.187837] pci_bus 0002:00: root bus resource [mem 0x3fe200000000-0x3fe27ffeffff] (bus address [0x80000000-0xfffeffff])
[    0.187925] pci_bus 0002:00: root bus resource [mem 0x3b4010000000-0x3b4fffffffff 64bit pref]
[    0.188003] pci_bus 0002:00: root bus resource [bus 00-ff]
[    0.188254] pci 0002:00:00.0: PCI bridge to [bus 01]
[    0.188329] PCI: I/O resource not set for host bridge /pciex@3fffe40500000 (domain 3)
[    0.188422] PCI host bridge to bus 0003:00
[    0.188457] pci_bus 0003:00: root bus resource [mem 0x3fe280000000-0x3fe2fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.188546] pci_bus 0003:00: root bus resource [mem 0x3b5010000000-0x3b5fffffffff 64bit pref]
[    0.188623] pci_bus 0003:00: root bus resource [bus 00-ff]
[    0.189127] pci 0003:00:00.0: PCI bridge to [bus 01-0f]
[    0.190517] pci 0003:01:00.0: PCI bridge to [bus 02-0f]
[    0.191156] pci 0003:02:01.0: PCI bridge to [bus 03]
[    0.191584] pci 0003:02:08.0: PCI bridge to [bus 04]
[    0.192959] pci 0003:02:09.0: PCI bridge to [bus 05]
[    0.193157] pci 0003:02:10.0: PCI bridge to [bus 06-0a]
[    0.193284] pci 0003:02:11.0: PCI bridge to [bus 0b-0f]
[    0.193606] pci 0000:00:00.0: PCI bridge to [bus 01]
[    0.193761] pci 0001:00:00.0: BAR 15: assigned [mem 0x3b1010000000-0x3b103fffffff 64bit pref]
[    0.193839] pci 0001:00:00.0: BAR 14: assigned [mem 0x3fe080000000-0x3fe081ffffff]
[    0.193906] pci 0001:00:00.0: BAR 13: no space for [io  size 0x3000]
[    0.193962] pci 0001:00:00.0: BAR 13: failed to assign [io  size 0x3000]
[    0.194019] pci 0001:00:00.0: BAR 13: no space for [io  size 0x1000]
[    0.194074] pci 0001:00:00.0: BAR 13: failed to assign [io  size 0x1000]
[    0.194140] pci 0001:01:00.0: BAR 15: assigned [mem 0x3b1010000000-0x3b103fffffff 64bit pref]
[    0.194217] pci 0001:01:00.0: BAR 14: assigned [mem 0x3fe080000000-0x3fe0817fffff]
[    0.194284] pci 0001:01:00.0: BAR 0: assigned [mem 0x3fe081800000-0x3fe08183ffff]
[    0.194355] pci 0001:01:00.0: BAR 13: no space for [io  size 0x3000]
[    0.194410] pci 0001:01:00.0: BAR 13: failed to assign [io  size 0x3000]
[    0.194467] pci 0001:01:00.0: BAR 13: no space for [io  size 0x1000]
[    0.194523] pci 0001:01:00.0: BAR 13: failed to assign [io  size 0x1000]
[    0.194595] pci 0001:02:01.0: BAR 15: assigned [mem 0x3b1010000000-0x3b101fffffff 64bit pref]
[    0.194673] pci 0001:02:08.0: BAR 15: assigned [mem 0x3b1020000000-0x3b102fffffff 64bit pref]
[    0.194751] pci 0001:02:09.0: BAR 15: assigned [mem 0x3b1030000000-0x3b103fffffff 64bit pref]
[    0.194828] pci 0001:02:01.0: BAR 14: assigned [mem 0x3fe080000000-0x3fe0807fffff]
[    0.194896] pci 0001:02:08.0: BAR 14: assigned [mem 0x3fe080800000-0x3fe080ffffff]
[    0.194962] pci 0001:02:09.0: BAR 14: assigned [mem 0x3fe081000000-0x3fe0817fffff]
[    0.195029] pci 0001:02:01.0: BAR 13: no space for [io  size 0x1000]
[    0.195085] pci 0001:02:01.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195141] pci 0001:02:08.0: BAR 13: no space for [io  size 0x1000]
[    0.195196] pci 0001:02:08.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195253] pci 0001:02:09.0: BAR 13: no space for [io  size 0x1000]
[    0.195308] pci 0001:02:09.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195365] pci 0001:02:01.0: BAR 13: no space for [io  size 0x1000]
[    0.195421] pci 0001:02:01.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195477] pci 0001:02:09.0: BAR 13: no space for [io  size 0x1000]
[    0.195532] pci 0001:02:09.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195588] pci 0001:02:08.0: BAR 13: no space for [io  size 0x1000]
[    0.195644] pci 0001:02:08.0: BAR 13: failed to assign [io  size 0x1000]
[    0.195701] pci 0001:03:00.0: BAR 6: assigned [mem 0x3fe080000000-0x3fe08003ffff pref]
[    0.195769] pci 0001:03:00.1: BAR 6: assigned [mem 0x3fe080040000-0x3fe08007ffff pref]
[    0.195840] pci 0001:03:00.0: BAR 2: assigned [mem 0x3fe080080000-0x3fe080083fff 64bit]
[    0.195918] pci 0001:03:00.1: BAR 2: assigned [mem 0x3fe080084000-0x3fe080087fff 64bit]
[    0.195997] pci 0001:03:00.0: BAR 0: assigned [mem 0x3fe080088000-0x3fe080088fff 64bit]
[    0.196074] pci 0001:03:00.1: BAR 0: assigned [mem 0x3fe080089000-0x3fe080089fff 64bit]
[    0.196152] pci 0001:03:00.0: BAR 4: no space for [io  size 0x0100]
[    0.196208] pci 0001:03:00.0: BAR 4: failed to assign [io  size 0x0100]
[    0.196264] pci 0001:03:00.1: BAR 4: no space for [io  size 0x0100]
[    0.196320] pci 0001:03:00.1: BAR 4: failed to assign [io  size 0x0100]
[    0.196376] pci 0001:02:01.0: PCI bridge to [bus 03]
[    0.196425] pci 0001:02:01.0:   bridge window [mem 0x3fe080000000-0x3fe0807fffff]
[    0.196494] pci 0001:02:01.0:   bridge window [mem 0x3b1010000000-0x3b101fffffff 64bit pref]
[    0.196578] pci 0001:04:00.0: BAR 6: assigned [mem 0x3fe080800000-0x3fe08081ffff pref]
[    0.196645] pci 0001:04:00.0: BAR 0: assigned [mem 0x3fe080820000-0x3fe08082ffff 64bit]
[    0.196723] pci 0001:04:00.0: BAR 2: assigned [mem 0x3fe080830000-0x3fe08083ffff 64bit]
[    0.196801] pci 0001:02:08.0: PCI bridge to [bus 04]
[    0.196850] pci 0001:02:08.0:   bridge window [mem 0x3fe080800000-0x3fe080ffffff]
[    0.196919] pci 0001:02:08.0:   bridge window [mem 0x3b1020000000-0x3b102fffffff 64bit pref]
[    0.197004] pci 0001:05:00.0: BAR 6: assigned [mem 0x3fe081000000-0x3fe08107ffff pref]
[    0.197071] pci 0001:05:00.1: BAR 6: assigned [mem 0x3fe081080000-0x3fe0810fffff pref]
[    0.197138] pci 0001:05:00.2: BAR 6: assigned [mem 0x3fe081100000-0x3fe08117ffff pref]
[    0.197205] pci 0001:05:00.3: BAR 6: assigned [mem 0x3fe081180000-0x3fe0811fffff pref]
[    0.197272] pci 0001:05:00.0: BAR 0: assigned [mem 0x3b1030000000-0x3b103000ffff 64bit pref]
[    0.197362] pci 0001:05:00.0: BAR 2: assigned [mem 0x3b1030010000-0x3b103001ffff 64bit pref]
[    0.197451] pci 0001:05:00.0: BAR 4: assigned [mem 0x3b1030020000-0x3b103002ffff 64bit pref]
[    0.197540] pci 0001:05:00.1: BAR 0: assigned [mem 0x3b1030030000-0x3b103003ffff 64bit pref]
[    0.197629] pci 0001:05:00.1: BAR 2: assigned [mem 0x3b1030040000-0x3b103004ffff 64bit pref]
[    0.197719] pci 0001:05:00.1: BAR 4: assigned [mem 0x3b1030050000-0x3b103005ffff 64bit pref]
[    0.197808] pci 0001:05:00.2: BAR 0: assigned [mem 0x3b1030060000-0x3b103006ffff 64bit pref]
[    0.197898] pci 0001:05:00.2: BAR 2: assigned [mem 0x3b1030070000-0x3b103007ffff 64bit pref]
[    0.197987] pci 0001:05:00.2: BAR 4: assigned [mem 0x3b1030080000-0x3b103008ffff 64bit pref]
[    0.198077] pci 0001:05:00.3: BAR 0: assigned [mem 0x3b1030090000-0x3b103009ffff 64bit pref]
[    0.198166] pci 0001:05:00.3: BAR 2: assigned [mem 0x3b10300a0000-0x3b10300affff 64bit pref]
[    0.198255] pci 0001:05:00.3: BAR 4: assigned [mem 0x3b10300b0000-0x3b10300bffff 64bit pref]
[    0.198345] pci 0001:02:09.0: PCI bridge to [bus 05]
[    0.198394] pci 0001:02:09.0:   bridge window [mem 0x3fe081000000-0x3fe0817fffff]
[    0.198463] pci 0001:02:09.0:   bridge window [mem 0x3b1030000000-0x3b103fffffff 64bit pref]
[    0.198546] pci 0001:01:00.0: PCI bridge to [bus 02-05]
[    0.198594] pci 0001:01:00.0:   bridge window [mem 0x3fe080000000-0x3fe0817fffff]
[    0.198664] pci 0001:01:00.0:   bridge window [mem 0x3b1010000000-0x3b103fffffff 64bit pref]
[    0.198746] pci 0001:00:00.0: PCI bridge to [bus 01-05]
[    0.198795] pci 0001:00:00.0:   bridge window [mem 0x3fe080000000-0x3fe081ffffff]
[    0.198864] pci 0001:00:00.0:   bridge window [mem 0x3b1010000000-0x3b103fffffff 64bit pref]
[    0.198947] pci_bus 0001:00: Some PCI device resources are unassigned, try booting with pci=realloc
[    0.199054] pci 0002:00:00.0: PCI bridge to [bus 01]
[    0.199263] pci 0003:00:00.0: BAR 15: assigned [mem 0x3b5010000000-0x3b504fffffff 64bit pref]
[    0.199342] pci 0003:00:00.0: BAR 14: assigned [mem 0x3fe280000000-0x3fe282ffffff]
[    0.199409] pci 0003:00:00.0: BAR 13: no space for [io  size 0x4000]
[    0.199465] pci 0003:00:00.0: BAR 13: failed to assign [io  size 0x4000]
[    0.199521] pci 0003:00:00.0: BAR 13: no space for [io  size 0x4000]
[    0.199577] pci 0003:00:00.0: BAR 13: failed to assign [io  size 0x4000]
[    0.199646] pci 0003:01:00.0: BAR 15: assigned [mem 0x3b5010000000-0x3b504fffffff 64bit pref]
[    0.199724] pci 0003:01:00.0: BAR 14: assigned [mem 0x3fe280000000-0x3fe2827fffff]
[    0.199791] pci 0003:01:00.0: BAR 0: assigned [mem 0x3fe282800000-0x3fe28283ffff]
[    0.199861] pci 0003:01:00.0: BAR 13: no space for [io  size 0x4000]
[    0.199918] pci 0003:01:00.0: BAR 13: failed to assign [io  size 0x4000]
[    0.199974] pci 0003:01:00.0: BAR 13: no space for [io  size 0x4000]
[    0.200030] pci 0003:01:00.0: BAR 13: failed to assign [io  size 0x4000]
[    0.200120] pci 0003:02:08.0: BAR 15: assigned [mem 0x3b5010000000-0x3b501fffffff 64bit pref]
[    0.200199] pci 0003:02:09.0: BAR 15: assigned [mem 0x3b5020000000-0x3b502fffffff 64bit pref]
[    0.200277] pci 0003:02:10.0: BAR 15: assigned [mem 0x3b5030000000-0x3b503fffffff 64bit pref]
[    0.200355] pci 0003:02:11.0: BAR 15: assigned [mem 0x3b5040000000-0x3b504fffffff 64bit pref]
[    0.200433] pci 0003:02:01.0: BAR 14: assigned [mem 0x3fe280000000-0x3fe2807fffff]
[    0.200500] pci 0003:02:08.0: BAR 14: assigned [mem 0x3fe280800000-0x3fe280ffffff]
[    0.200567] pci 0003:02:09.0: BAR 14: assigned [mem 0x3fe281000000-0x3fe2817fffff]
[    0.200634] pci 0003:02:10.0: BAR 14: assigned [mem 0x3fe281800000-0x3fe281ffffff]
[    0.200701] pci 0003:02:11.0: BAR 14: assigned [mem 0x3fe282000000-0x3fe2827fffff]
[    0.200769] pci 0003:02:08.0: BAR 13: no space for [io  size 0x1000]
[    0.200824] pci 0003:02:08.0: BAR 13: failed to assign [io  size 0x1000]
[    0.200880] pci 0003:02:09.0: BAR 13: no space for [io  size 0x1000]
[    0.200936] pci 0003:02:09.0: BAR 13: failed to assign [io  size 0x1000]
[    0.200992] pci 0003:02:10.0: BAR 13: no space for [io  size 0x1000]
[    0.201047] pci 0003:02:10.0: BAR 13: failed to assign [io  size 0x1000]
[    0.201134] pci 0003:02:11.0: BAR 13: no space for [io  size 0x1000]
[    0.201245] pci 0003:02:11.0: BAR 13: failed to assign [io  size 0x1000]
[    0.201357] pci 0003:02:11.0: BAR 13: no space for [io  size 0x1000]
[    0.201470] pci 0003:02:11.0: BAR 13: failed to assign [io  size 0x1000]
[    0.201581] pci 0003:02:10.0: BAR 13: no space for [io  size 0x1000]
[    0.201692] pci 0003:02:10.0: BAR 13: failed to assign [io  size 0x1000]
[    0.201803] pci 0003:02:09.0: BAR 13: no space for [io  size 0x1000]
[    0.201914] pci 0003:02:09.0: BAR 13: failed to assign [io  size 0x1000]
[    0.202025] pci 0003:02:08.0: BAR 13: no space for [io  size 0x1000]
[    0.202136] pci 0003:02:08.0: BAR 13: failed to assign [io  size 0x1000]
[    0.202247] pci 0003:03:00.0: BAR 0: assigned [mem 0x3fe280000000-0x3fe28000ffff 64bit]
[    0.202396] pci 0003:03:00.0: BAR 2: assigned [mem 0x3fe280010000-0x3fe280011fff 64bit]
[    0.202544] pci 0003:02:01.0: PCI bridge to [bus 03]
[    0.202637] pci 0003:02:01.0:   bridge window [mem 0x3fe280000000-0x3fe2807fffff]
[    0.202778] pci 0003:04:00.0: BAR 6: assigned [mem 0x3fe280800000-0x3fe28081ffff pref]
[    0.202915] pci 0003:04:00.0: BAR 0: assigned [mem 0x3fe280820000-0x3fe28082ffff 64bit]
[    0.203063] pci 0003:04:00.0: BAR 2: assigned [mem 0x3fe280830000-0x3fe28083ffff 64bit]
[    0.203208] pci 0003:02:08.0: PCI bridge to [bus 04]
[    0.203302] pci 0003:02:08.0:   bridge window [mem 0x3fe280800000-0x3fe280ffffff]
[    0.203438] pci 0003:02:08.0:   bridge window [mem 0x3b5010000000-0x3b501fffffff 64bit pref]
[    0.203600] pci 0003:05:00.0: BAR 6: assigned [mem 0x3fe281000000-0x3fe28107ffff pref]
[    0.203734] pci 0003:05:00.1: BAR 6: assigned [mem 0x3fe281080000-0x3fe2810fffff pref]
[    0.203871] pci 0003:05:00.2: BAR 6: assigned [mem 0x3fe281100000-0x3fe28117ffff pref]
[    0.204007] pci 0003:05:00.3: BAR 6: assigned [mem 0x3fe281180000-0x3fe2811fffff pref]
[    0.204144] pci 0003:05:00.0: BAR 0: assigned [mem 0x3b5020000000-0x3b502000ffff 64bit pref]
[    0.204315] pci 0003:05:00.0: BAR 2: assigned [mem 0x3b5020010000-0x3b502001ffff 64bit pref]
[    0.204483] pci 0003:05:00.0: BAR 4: assigned [mem 0x3b5020020000-0x3b502002ffff 64bit pref]
[    0.204654] pci 0003:05:00.1: BAR 0: assigned [mem 0x3b5020030000-0x3b502003ffff 64bit pref]
[    0.204821] pci 0003:05:00.1: BAR 2: assigned [mem 0x3b5020040000-0x3b502004ffff 64bit pref]
[    0.204989] pci 0003:05:00.1: BAR 4: assigned [mem 0x3b5020050000-0x3b502005ffff 64bit pref]
[    0.205156] pci 0003:05:00.2: BAR 0: assigned [mem 0x3b5020060000-0x3b502006ffff 64bit pref]
[    0.205324] pci 0003:05:00.2: BAR 2: assigned [mem 0x3b5020070000-0x3b502007ffff 64bit pref]
[    0.205491] pci 0003:05:00.2: BAR 4: assigned [mem 0x3b5020080000-0x3b502008ffff 64bit pref]
[    0.205634] pci 0003:05:00.3: BAR 0: assigned [mem 0x3b5020090000-0x3b502009ffff 64bit pref]
[    0.205724] pci 0003:05:00.3: BAR 2: assigned [mem 0x3b50200a0000-0x3b50200affff 64bit pref]
[    0.205816] pci 0003:05:00.3: BAR 4: assigned [mem 0x3b50200b0000-0x3b50200bffff 64bit pref]
[    0.205906] pci 0003:02:09.0: PCI bridge to [bus 05]
[    0.205955] pci 0003:02:09.0:   bridge window [mem 0x3fe281000000-0x3fe2817fffff]
[    0.206025] pci 0003:02:09.0:   bridge window [mem 0x3b5020000000-0x3b502fffffff 64bit pref]
[    0.206108] pci 0003:02:10.0: PCI bridge to [bus 06-0a]
[    0.206157] pci 0003:02:10.0:   bridge window [mem 0x3fe281800000-0x3fe281ffffff]
[    0.206226] pci 0003:02:10.0:   bridge window [mem 0x3b5030000000-0x3b503fffffff 64bit pref]
[    0.206312] pci 0003:02:11.0: PCI bridge to [bus 0b-0f]
[    0.206361] pci 0003:02:11.0:   bridge window [mem 0x3fe282000000-0x3fe2827fffff]
[    0.206431] pci 0003:02:11.0:   bridge window [mem 0x3b5040000000-0x3b504fffffff 64bit pref]
[    0.206513] pci 0003:01:00.0: PCI bridge to [bus 02-0f]
[    0.206562] pci 0003:01:00.0:   bridge window [mem 0x3fe280000000-0x3fe2827fffff]
[    0.206632] pci 0003:01:00.0:   bridge window [mem 0x3b5010000000-0x3b504fffffff 64bit pref]
[    0.206715] pci 0003:00:00.0: PCI bridge to [bus 01-0f]
[    0.206764] pci 0003:00:00.0:   bridge window [mem 0x3fe280000000-0x3fe282ffffff]
[    0.206834] pci 0003:00:00.0:   bridge window [mem 0x3b5010000000-0x3b504fffffff 64bit pref]
[    0.206943] pci 0000:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.207155] pci 0000:01     : [PE# 002] Secondary bus 1 associated with PE#2
[    0.207361] pci 0001:00     : [PE# 004] Secondary bus 0 associated with PE#4
[    0.207636] pci 0001:01     : [PE# 005] Secondary bus 1 associated with PE#5
[    0.207912] pci 0001:02     : [PE# 006] Secondary bus 2 associated with PE#6
[    0.208184] pci 0001:03     : [PE# 001] Secondary bus 3 associated with PE#1
[    0.208460] pci 0001:04     : [PE# 002] Secondary bus 4 associated with PE#2
[    0.208735] pci 0001:05     : [PE# 003] Secondary bus 5 associated with PE#3
[    0.209007] pci 0002:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.209287] pci 0002:01     : [PE# 002] Secondary bus 1 associated with PE#2
[    0.209559] pci 0003:00     : [PE# 005] Secondary bus 0 associated with PE#5
[    0.209836] pci 0003:01     : [PE# 006] Secondary bus 1 associated with PE#6
[    0.210111] pci 0003:02     : [PE# 007] Secondary bus 2 associated with PE#7
[    0.210388] pci 0003:03     : [PE# 008] Secondary bus 3 associated with PE#8
[    0.210664] pci 0003:04     : [PE# 001] Secondary bus 4 associated with PE#1
[    0.210940] pci 0003:05     : [PE# 002] Secondary bus 5 associated with PE#2
[    0.211216] pci 0003:06     : [PE# 003] Secondary bus 6 associated with PE#3
[    0.211492] pci 0003:0b     : [PE# 004] Secondary bus 11 associated with PE#4
[    0.212054] PCI: Domain 0000 has 8 available 32-bit DMA segments
[    0.212110] PCI: 0 PE# for a total weight of 0
[    0.212154] PCI: Domain 0001 has 8 available 32-bit DMA segments
[    0.212210] PCI: 3 PE# for a total weight of 75
[    0.212254] pci 0001:05     : [PE# 003] Assign DMA32 space
[    0.212299] pci 0001:05     : [PE# 003] Setting up 32-bit TCE table at 0..80000000
[    0.251437] IOMMU table initialized, virtual merging enabled
[    0.251494] pci 0001:05     : [PE# 003] Enabling 64-bit DMA bypass
[    0.251550] pci 0001:03     : [PE# 001] Assign DMA32 space
[    0.251595] pci 0001:03     : [PE# 001] Setting up 32-bit TCE table at 0..80000000
[    0.290716] pci 0001:03     : [PE# 001] Enabling 64-bit DMA bypass
[    0.290830] pci 0001:04     : [PE# 002] Assign DMA32 space
[    0.290922] pci 0001:04     : [PE# 002] Setting up 32-bit TCE table at 0..80000000
[    0.330178] pci 0001:04     : [PE# 002] Enabling 64-bit DMA bypass
[    0.330255] PCI: Domain 0002 has 8 available 32-bit DMA segments
[    0.330310] PCI: 0 PE# for a total weight of 0
[    0.330354] PCI: Domain 0003 has 8 available 32-bit DMA segments
[    0.330410] PCI: 3 PE# for a total weight of 65
[    0.330455] pci 0003:05     : [PE# 002] Assign DMA32 space
[    0.330501] pci 0003:05     : [PE# 002] Setting up 32-bit TCE table at 0..80000000
[    0.369714] pci 0003:05     : [PE# 002] Enabling 64-bit DMA bypass
[    0.369789] pci 0003:04     : [PE# 001] Assign DMA32 space
[    0.369834] pci 0003:04     : [PE# 001] Setting up 32-bit TCE table at 0..80000000
[    0.409052] pci 0003:04     : [PE# 001] Enabling 64-bit DMA bypass
[    0.409127] pci 0003:03     : [PE# 008] Assign DMA32 space
[    0.409172] pci 0003:03     : [PE# 008] Setting up 32-bit TCE table at 0..80000000
[    0.448393] pci 0003:03     : [PE# 008] Enabling 64-bit DMA bypass
[    0.449467] EEH: PCI Enhanced I/O Error Handling Enabled
[    0.450699] powernv-rng: Registering arch random hook.
[    0.457722] vgaarb: loaded
[    0.458000] SCSI subsystem initialized
[    0.458221] usbcore: registered new interface driver usbfs
[    0.458275] usbcore: registered new interface driver hub
[    0.458495] usbcore: registered new device driver usb
[    0.458995] NetLabel: Initializing
[    0.459030] NetLabel:  domain hash size = 128
[    0.459074] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.459129] NetLabel:  unlabeled traffic allowed by default
[    0.459463] Switched to clocksource timebase
[    0.470270] NET: Registered protocol family 2
[    0.470737] TCP established hash table entries: 524288 (order: 6, 4194304 bytes)
[    0.471677] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    0.471843] TCP: Hash tables configured (established 524288 bind 65536)
[    0.471931] UDP hash table entries: 65536 (order: 5, 2097152 bytes)
[    0.472237] UDP-Lite hash table entries: 65536 (order: 5, 2097152 bytes)
[    0.472866] NET: Registered protocol family 1
[    0.473060] Unpacking initramfs...
[    0.764994] Freeing initrd memory: 19520K (c000000002ee0000 - c0000000041f0000)
[    0.765271] rtas_flash: no firmware flash support
[    0.790750] futex hash table entries: 32768 (order: 6, 4194304 bytes)
[    0.791207] audit: initializing netlink subsys (disabled)
[    0.791264] audit: type=2000 audit(1435660073.780:1): initialized
[    0.791557] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    0.791614] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    0.793418] zpool: loaded
[    0.793443] zbud: loaded
[    0.793845] VFS: Disk quotas dquot_6.6.0
[    0.794121] VFS: Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    0.796528] Key type big_key registered
[    0.797265] alg: No test for stdrng (krng)
[    0.797341] NET: Registered protocol family 38
[    0.797606] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.797896] io scheduler noop registered
[    0.797966] io scheduler deadline registered
[    0.798232] io scheduler cfq registered (default)
[    0.798382] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.798536] hvc0: raw protocol on /ibm,opal/consoles/serial@0 (boot console)
[    0.798795] hvc1: hvsi protocol on /ibm,opal/consoles/serial@1
[    0.798861] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.799185] Linux agpgart interface v0.103
[    0.799664] Uniform Multi-Platform E-IDE driver
[    0.799733] ide-gd driver 1.18
[    0.799879] libphy: Fixed MDIO Bus: probed
[    0.800074] xhci_hcd 0003:03:00.0: xHCI Host Controller
[    0.800240] xhci_hcd 0003:03:00.0: new USB bus registered, assigned bus number 1
[    0.800393] xhci_hcd 0003:03:00.0: Using 64-bit DMA iommu bypass
[    0.800505] xhci_hcd 0003:03:00.0: hcc params 0x0270f06d hci version 0x96 quirks 0x00000000
[    0.800830] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.800887] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.800954] usb usb1: Product: xHCI Host Controller
[    0.801000] usb usb1: Manufacturer: Linux 4.1.0-0.rc7.git0.1.fc23.ppc64le xhci-hcd
[    0.801067] usb usb1: SerialNumber: 0003:03:00.0
[    0.801224] hub 1-0:1.0: USB hub found
[    0.801268] hub 1-0:1.0: 4 ports detected
[    0.801430] xhci_hcd 0003:03:00.0: xHCI Host Controller
[    0.801518] xhci_hcd 0003:03:00.0: new USB bus registered, assigned bus number 2
[    0.801623] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[    0.801680] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.801748] usb usb2: Product: xHCI Host Controller
[    0.801793] usb usb2: Manufacturer: Linux 4.1.0-0.rc7.git0.1.fc23.ppc64le xhci-hcd
[    0.801860] usb usb2: SerialNumber: 0003:03:00.0
[    0.802003] hub 2-0:1.0: USB hub found
[    0.802045] hub 2-0:1.0: 4 ports detected
[    0.802206] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.802272] ehci-pci: EHCI PCI platform driver
[    0.802331] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.802396] ohci-pci: OHCI PCI platform driver
[    0.802451] uhci_hcd: USB Universal Host Controller Interface driver
[    0.802544] usbcore: registered new interface driver usbserial
[    0.802606] usbcore: registered new interface driver usbserial_generic
[    0.802667] usbserial: USB Serial support registered for generic
[    0.802813] mousedev: PS/2 mouse device common for all mice
[    0.803211] device-mapper: uevent: version 1.0.3
[    0.803491] device-mapper: ioctl: 4.31.0-ioctl (2015-3-12) initialised: dm-devel@redhat.com
[    0.805133] Using 'aes-generic' as fallback implementation.
[    0.805272] crypto_register_alg 'aes' = 0
[    0.806576] Using 'aes-generic' as fallback implementation.
[    0.806666] Using 'cbc(p8_aes)' as fallback implementation.
[    0.806829] Unrecoverable VSX Unavailable Exception f40 at c0000000007b5744
[    0.806941] Oops: Unrecoverable VSX Unavailable Exception, sig: 6 [#1]
[    0.807054] SMP NR_CPUS=1024 NUMA PowerNV
[    0.807144] Modules linked in:
[    0.807237] CPU: 11 PID: 603 Comm: cryptomgr_test Not tainted 4.1.0-0.rc7.git0.1.fc23.ppc64le #1
[    0.807395] task: c000001e48d06270 ti: c000001e48d94000 task.ti: c000001e48d94000
[    0.807531] NIP: c0000000007b5744 LR: c0000000007b6ffc CTR: 0000000000000000
[    0.807668] REGS: c000001e48d97220 TRAP: 0f40   Not tainted  (4.1.0-0.rc7.git0.1.fc23.ppc64le)
[    0.807826] MSR: 9000000102009033 <SF,HV,VEC,EE,ME,IR,DR,RI,LE>  CR: 44022224  XER: 00000000
[    0.808180] CFAR: c0000000007b56e8 SOFTE: 1 
GPR00: ffffffffffffffff c000001e48d974a0 c0000000012c7700 c000000fec720000 
GPR04: c000000fec720000 0000000000000170 c000000fec1c01d4 c000001e48d97aa8 
GPR08: 0000000000000010 0000000000000003 0000000000000008 c000001e48d974ef 
GPR12: 0000000000000000 c00000000fda6880 c000000001215368 c000000000bc3f88 
GPR16: c000001e48d97a80 0000000000000100 c000001e48d97aa8 0000000000000000 
GPR20: 0000000000000005 c000001e48d97900 c000000001215268 0000000000000000 
GPR24: 0000000000010000 0000000000000000 0000000000000020 0000000000000030 
GPR28: 0000000000000040 0000000000000050 0000000000000060 0000000000000070 
[    0.809195] NIP [c0000000007b5744] _aesp8_cbc_decrypt8x+0x144/0x850
[    0.809254] LR [c0000000007b6ffc] p8_aes_cbc_decrypt+0xcc/0x190
[    0.809311] Call Trace:
[    0.809335] [c000001e48d974a0] [0000000000000141] 0x141 (unreliable)
[    0.809405] [c000001e48d97660] [c0000000007b6fc4] p8_aes_cbc_decrypt+0x94/0x190
[    0.809486] [c000001e48d97750] [c000000000461eb0] async_decrypt+0x60/0x80
[    0.809556] [c000001e48d977a0] [c00000000046aa44] __test_skcipher+0x454/0xb40
[    0.809625] [c000001e48d97b90] [c00000000046c838] test_skcipher+0x58/0x120
[    0.809694] [c000001e48d97bd0] [c00000000046c9e0] alg_test_skcipher+0xe0/0x130
[    0.809775] [c000001e48d97c50] [c00000000046c5e8] alg_test+0x168/0x360
[    0.809844] [c000001e48d97d50] [c000000000468d5c] cryptomgr_test+0x6c/0x90
[    0.809914] [c000001e48d97d80] [c0000000000ee620] kthread+0x110/0x130
[    0.809984] [c000001e48d97e30] [c00000000000966c] ret_from_kernel_thread+0x5c/0x70
[    0.810063] Instruction dump:
[    0.810098] 137cdaab 7fdd30ce 139de2ab 7ffe30ce 13beeaab 7ddf30ce 13dff2ab 7f0058ce 
[    0.810243] 13eefaab 7f2858ce 3863fff1 39400008 <7c001e99> 7cc0500c 106f030c 7c281e99 
[    0.810468] ---[ end trace 669dcd768132e9ee ]---
[    0.814888] 
[    0.814914] note: cryptomgr_test[603] exited with preempt_count 2

Additional info:
4.0.0-1.fc23.ppc64le built locally boots fine.

Comment 1 Jakub Čajka 2015-06-30 11:45:36 UTC
Seems to fails similarly on ppc64(same machine, kernel 4.1.0-0.rc7.git0.1.fc23.ppc64).
.
.
.
[    0.761763] hub 2-0:1.0: 4 ports detected
[    0.761923] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.761990] ehci-pci: EHCI PCI platform driver
[    0.762047] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.762112] ohci-pci: OHCI PCI platform driver
[    0.762167] uhci_hcd: USB Universal Host Controller Interface driver
[    0.762260] usbcore: registered new interface driver usbserial
[    0.762321] usbcore: registered new interface driver usbserial_generic
[    0.762381] usbserial: USB Serial support registered for generic
[    0.762526] mousedev: PS/2 mouse device common for all mice
[    0.762926] device-mapper: uevent: version 1.0.3
[    0.763188] device-mapper: ioctl: 4.31.0-ioctl (2015-3-12) initialised: dm-devel@redhat.com
[    0.764836] Using 'aes-generic' as fallback implementation.
[    0.764933] crypto_register_alg 'aes' = 0
[    0.766239] Using 'aes-generic' as fallback implementation.
[    0.766286] Using 'cbc(p8_aes)' as fallback implementation.
[    0.766399] Unrecoverable VSX Unavailable Exception f40 at c000000000795f20
[    0.766457] Oops: Unrecoverable VSX Unavailable Exception, sig: 6 [#1]
[    0.766514] SMP NR_CPUS=1024 NUMA PowerNV
[    0.766561] Modules linked in:
[    0.766609] CPU: 11 PID: 603 Comm: cryptomgr_test Not tainted 4.1.0-0.rc7.git0.1.fc23.ppc64 #1
[    0.766688] task: c000001e48706270 ti: c000001e48794000 task.ti: c000001e48794000
[    0.766755] NIP: c000000000795f20 LR: c00000000079754c CTR: 0000000000000000
[    0.766823] REGS: c000001e48797060 TRAP: 0f40   Not tainted  (4.1.0-0.rc7.git0.1.fc23.ppc64)
[    0.766901] MSR: 9000000102009032 <SF,HV,VEC,EE,ME,IR,DR,RI>  CR: 44022224  XER: 00000000
[    0.767073] CFAR: c000000000795ec8 SOFTE: 1 
GPR00: ffffffffffffffff c000001e487972e0 c0000000015be200 c000000fec5f0000 
GPR04: c000000fec5f0000 0000000000000170 c000000fec0f01d4 c000001e48797998 
GPR08: 0000000000000010 0000000000000003 000000000000016f c000001e4879732f 
GPR12: 0000000000000000 c00000000fda6880 c0000000014957e8 c000000000c2d9a8 
GPR16: c000001e48797970 0000000000000100 c000001e48797998 0000000000000000 
GPR20: 0000000000000005 c000001e487977f0 c0000000014956e8 0000000000000000 
GPR24: 0000000000010000 0000000000000000 0000000000000020 0000000000000030 
GPR28: 0000000000000040 0000000000000050 0000000000000060 0000000000000070 
[    0.767944] NIP [c000000000795f20] _aesp8_cbc_decrypt8x+0x140/0x768
[    0.768002] LR [c00000000079754c] .p8_aes_cbc_decrypt+0xbc/0x180
[    0.768058] Call Trace:
[    0.768082] [c000001e487972e0] [c000001e48797370] 0xc000001e48797370 (unreliable)
[    0.768162] [c000001e487974a0] [c00000000079751c] .p8_aes_cbc_decrypt+0x8c/0x180
[    0.768243] [c000001e487975e0] [c00000000044de50] .async_decrypt+0x60/0x80
[    0.768312] [c000001e48797680] [c000000000456708] .__test_skcipher+0x458/0xb50
[    0.768391] [c000001e48797a80] [c000000000458510] .test_skcipher+0x50/0x120
[    0.768459] [c000001e48797b10] [c0000000004586b0] .alg_test_skcipher+0xd0/0x120
[    0.768539] [c000001e48797ba0] [c0000000004582cc] .alg_test+0x16c/0x360
[    0.768607] [c000001e48797cb0] [c000000000454a04] .cryptomgr_test+0x64/0x80
[    0.768676] [c000001e48797d30] [c0000000000e875c] .kthread+0x10c/0x130
[    0.768745] [c000001e48797e30] [c000000000009668] .ret_from_kernel_thread+0x58/0x70
[    0.768823] Instruction dump:
[    0.768858] 7fbc30ce 137be2ab 7fdd30ce 139ceaab 7ffe30ce 13bdf2ab 7ddf30ce 13defaab 
[    0.768972] 7f0058ce 13ff72ab 7f2858ce 3863fff1 <7c001e99> 7c281e99 7c5a1e99 7c7b1e99 
[    0.769091] ---[ end trace ce8622f8f5692718 ]---
[    0.773334] 
[    0.773359] note: cryptomgr_test[603] exited with preempt_count 2

Comment 2 Jakub Čajka 2015-07-02 09:32:47 UTC
Seems the same with locally built kernel version 4.2.0-0.rc0.git4.1.fc23.ppc64le

.
.
.
[    0.958193] device-mapper: uevent: version 1.0.3
[    0.958657] device-mapper: ioctl: 4.32.0-ioctl (2015-6-26) initialised: dm-devel@redhat.com
[    0.966696] Using 'aes-generic' as fallback implementation.
[    0.966840] crypto_register_alg 'aes' = 0
[    0.968882] Using 'aes-generic' as fallback implementation.
[    0.968931] Using 'cbc(p8_aes)' as fallback implementation.
[    0.969136] Unrecoverable VSX Unavailable Exception f40 at c0000000008623c4
[    0.969195] Oops: Unrecoverable VSX Unavailable Exception, sig: 6 [#1]
[    0.969253] SMP NR_CPUS=1024 NUMA PowerNV
[    0.969301] Modules linked in:
[    0.969349] CPU: 8 PID: 646 Comm: cryptomgr_test Not tainted 4.2.0-0.rc0.git4.1.fc23.ppc64le #1
[    0.969429] task: c000000fe2973e60 ti: c000000fe29e8000 task.ti: c000000fe29e8000
[    0.969499] NIP: c0000000008623c4 LR: c000000000863d1c CTR: 0000000000000000
[    0.969568] REGS: c000000fe29eb0e0 TRAP: 0f40   Not tainted  (4.2.0-0.rc0.git4.1.fc23.ppc64le)
[    0.969647] MSR: 9000000102009033 <SF,HV,VEC,EE,ME,IR,DR,RI,LE>  CR: 44022824  XER: 00000000
[    0.969832] CFAR: c000000000862368 SOFTE: 1 
GPR00: ffffffffffffffff c000000fe29eb360 c000000001622900 c000000fe2d80000 
GPR04: c000000fe2d80000 0000000000000170 c000000fe2ce01cc c000000fe29eba28 
GPR08: 0000000000000010 0000000000000003 0000000000000008 c000000fe29eb3af 
GPR12: 0000000000000000 c00000000fda4c00 c00000000155f180 c000000fe2040180 
GPR16: c000000fe29eb940 0000000000000100 c000000fe29eba28 0000000000000000 
GPR20: 0000000000000005 c000000fe29eb800 c00000000155f080 0000000000000000 
GPR24: 0000000000010000 0000000000000000 0000000000000020 0000000000000030 
GPR28: 0000000000000040 0000000000000050 0000000000000060 0000000000000070 
[    0.971092] NIP [c0000000008623c4] _aesp8_cbc_decrypt8x+0x144/0x850
[    0.971205] LR [c000000000863d1c] p8_aes_cbc_decrypt+0xdc/0x1c0
[    0.971319] Call Trace:
[    0.971364] [c000000fe29eb360] [c000000fe29eb3b0] 0xc000000fe29eb3b0 (unreliable)
[    0.971523] [c000000fe29eb520] [c000000000863ce4] p8_aes_cbc_decrypt+0xa4/0x1c0
[    0.971682] [c000000fe29eb610] [c0000000004f9560] async_decrypt+0x60/0x80
[    0.971818] [c000000fe29eb660] [c0000000005031a4] __test_skcipher+0x474/0xc50
[    0.971954] [c000000fe29ebb10] [c000000000505808] test_skcipher+0x58/0x120
[    0.972091] [c000000fe29ebb50] [c0000000005059b0] alg_test_skcipher+0xe0/0x130
[    0.972246] [c000000fe29ebbd0] [c0000000005055b8] alg_test+0x168/0x360
[    0.972382] [c000000fe29ebcd0] [c0000000005017bc] cryptomgr_test+0x6c/0x90
[    0.972516] [c000000fe29ebd00] [c0000000000f3440] kthread+0x120/0x140
[    0.972653] [c000000fe29ebe30] [c0000000000095b4] ret_from_kernel_thread+0x5c/0xa8
[    0.972810] Instruction dump:
[    0.972876] 137cdaab 7fdd30ce 139de2ab 7ffe30ce 13beeaab 7ddf30ce 13dff2ab 7f0058ce 
[    0.973096] 13eefaab 7f2858ce 3863fff1 39400008 <7c001e99> 7cc0500c 106f030c 7c281e99 
[    0.973320] ---[ end trace 1abb238ddc52353e ]---
[    0.974318] 
[    0.974365] note: cryptomgr_test[646] exited with preempt_count 2
[    0.974495] cryptomgr_test (646) used greatest stack depth: 9200 bytes left

Comment 3 IBM Bug Proxy 2015-07-09 16:51:02 UTC
------- Comment From leosilva@br.ibm.com 2015-07-09 16:47 EDT-------
It's seems related with kernel only.

VMX driver uses altivec instructions as VMX registers. We are not using any VSX registers. And that is why we have a ' enable_kernel_altivec' in our code.

Since VSX enable code is as a comment  in kernel, I'd ask if anyone from kernel has any info or update about this issue?

From VMX driver side we were able to reproduce this on a p8/fedora21 le. If it's supposed to enable_vsx fix this, we also haven't any vsx there,as I said before.

However form security team side we will keep debugs in Be and see what we can figure out about.

Thanks for your support

Comment 4 IBM Bug Proxy 2015-07-09 20:41:39 UTC
------- Comment From aravam@us.ibm.com 2015-07-09 20:33 EDT-------
(In reply to comment #8)
> It's seems related with kernel only.

I'm not sure what this sentence means?

> VMX driver uses altivec instructions as VMX registers. We are not using any
> VSX registers. And that is why we have a ' enable_kernel_altivec' in our
> code.
>
> Since VSX enable code is as a comment  in kernel, I'd ask if anyone from
> kernel has any info or update about this issue?

There is no kernel use of VSX currently, so there is no need for enable_vsx() to be called anywhere. It seems like this new crypto code changed that.

> From VMX driver side we were able to reproduce this on a p8/fedora21 le. If
> it's supposed to enable_vsx fix this, we also haven't any vsx there,as I
> said before.
>
> However form security team side we will keep debugs in Be and see what we
> can figure out about.

Looking at drivers/crypto/vmx/aesp8-ppc.pl : "Data alignment in parallelizable modes is
# handled with VSX loads and stores, which implies MSR.VSX flag being
# set."

RH, would it be possible to trap to xmon (or Leonidas, since you have the reproduction on p8/fc21) and get the disassembly for what instruction is actually causing the VSX unavailable exception?

Comment 5 IBM Bug Proxy 2015-07-09 20:50:59 UTC
------- Comment From leosilva@br.ibm.com 2015-07-09 20:43 EDT-------
(In reply to comment #9)
> (In reply to comment #8)
> > It's seems related with kernel only.
>
> I'm not sure what this sentence means?
>
Sorry, fingers faster than thinking...so it's not an issue on kernel side.
>
> Looking at drivers/crypto/vmx/aesp8-ppc.pl : "Data alignment in
> parallelizable modes is
> # handled with VSX loads and stores, which implies MSR.VSX flag being
> # set."

yes, I see the point now. Thank you for clarify me.
>
> RH, would it be possible to trap to xmon (or Leonidas, since you have the
> reproduction on p8/fc21) and get the disassembly for what instruction is
> actually causing the VSX unavailable exception?

Good point.

thank you for your support

Comment 6 IBM Bug Proxy 2015-07-09 21:50:58 UTC
------- Comment From leosilva@br.ibm.com 2015-07-09 21:44 EDT-------
As it was already known  vmx-crypto.ko is not using only VMX instructions, but it's also using VSX instruction for unaligned memory reference (as NISHANTH says in comment #9).  Instructions such as lxsdx which needs VSX enable to run.

For references, you can find this calls in drivers/crypto/vmx/aesp8-ppc.pl. Instructions with _u after VMX name are translated to another on ppc-xlate.pl file. In this particularly case lxdx_u is transform in lxsdx a VSX instruction.

I could not debug it yet, but I'm pretty sure this part of the code is raise oops/VSX exception.

PS
Line in ppc-xlate.pl
my $lvdx_u      = sub { vsxmem_op(@_, 588); };  # lxsdx

From Power ISA:
VSX lxsdx Load VSR Scalar Doubleword Indexed

PS2: Say that and for reasons of performance we need a way to enable VSX.

Comment 7 IBM Bug Proxy 2015-07-09 22:30:59 UTC
------- Comment From aravam@us.ibm.com 2015-07-09 22:27 EDT-------
(In reply to comment #11)
> As it was already known  vmx-crypto.ko is not using only VMX instructions,
> but it's also using VSX instruction for unaligned memory reference (as
> NISHANTH says in comment #9).  Instructions such as lxsdx which needs VSX
> enable to run.
>
> For references, you can find this calls in drivers/crypto/vmx/aesp8-ppc.pl.
> Instructions with _u after VMX name are translated to another on
> ppc-xlate.pl file. In this particularly case lxdx_u is transform in lxsdx a
> VSX instruction.
>
> I could not debug it yet, but I'm pretty sure this part of the code is raise
> oops/VSX exception.
>
>
> PS
> Line in ppc-xlate.pl
> my $lvdx_u      = sub { vsxmem_op(@_, 588); };  # lxsdx
>
> From Power ISA:
>  VSX lxsdx Load VSR Scalar Doubleword Indexed
>
> PS2: Say that and for reasons of performance we need a way to enable VSX.

Hrm, so a couple of questions immediately come to mind.

I think the reason that enable_kernel_vsx() is commented out is that there are no users. It seems like it should work as-is, just put it back in and call it in the right path.

*But* I also see this in the root powerpc Makefile:

arch/powerpc/Makefile:KBUILD_CFLAGS +=

So does those files that use VSX as above get built somehow differently? Or ... am I misunderstanding something?

Comment 8 IBM Bug Proxy 2015-07-10 17:21:52 UTC
------- Comment From leosilva@br.ibm.com 2015-07-10 17:19 EDT-------
Patches attached fixes Kernel exception issue.

I applied and test it.
Also verified an issue related with self test, but not related with the prior VSX crash.

Thanks for you support.

Comment 9 IBM Bug Proxy 2015-07-10 17:21:56 UTC
Created attachment 1050762 [details]
Enable VSX code

Comment 10 IBM Bug Proxy 2015-07-10 17:21:58 UTC
Created attachment 1050763 [details]
Call enable_kernel_vsx() in order to make vsx instruction available for vmx

Comment 11 Dan Horák 2015-07-13 07:05:39 UTC
IBM, I suppose those patches are on the way to the mainline kernel. Do you have mailing list links or powerpc git tree ids so they could be integrated in Fedora kernel before they hit mainline? Thanks, Dan.

Comment 12 IBM Bug Proxy 2015-07-13 17:01:34 UTC
------- Comment From leosilva@br.ibm.com 2015-07-13 16:53 EDT-------
(In reply to comment #16)
> IBM, I suppose those patches are on the way to the mainline kernel. Do you
> have mailing list links or powerpc git tree ids so they could be integrated
> in Fedora kernel before they hit mainline? Thanks, Dan.

I was sent ,
http://www.mail-archive.com/linux-crypto@vger.kernel.org/msg15356.html

Thanks,!

Comment 13 Jakub Čajka 2015-07-14 08:03:05 UTC
Tried locally built kernel 4.2.0-0.rc2.git0.1.fc23 with up mentioned patches. Seems to boot fine, but in log appears:

.
.
.
mousedev: PS/2 mouse device common for all mice
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.32.0-ioctl (2015-6-26) initialised: dm-devel@redhat.com 
powernv_idle_driver registered
Using 'aes-generic' as fallback implementation.
crypto_register_alg 'aes' = 0
Using 'aes-generic' as fallback implementation.
Using 'cbc(p8_aes)' as fallback implementation.
crypto_register_alg 'cbc(aes)' = 0
Using 'aes-generic' as fallback implementation.
Using 'ctr(p8_aes)' as fallback implementation.
alg: skcipher: Test 4 failed on encryption for p8_aes_ctr
00000000: 04 f3 d3 88 17 ef dc ef 8b 04 f8 3a 66 8d 1a 53
00000010: 57 1f 4b 23 e4 a0 af f9 69 95 35 98 8d 4d 8c c1
00000020: f0 b2 7f 80 bb 54 28 a2 7a 1b 9f 77 ec 0e 6e de
00000030: 57 1d d4 66 07 60 e1 80 08 24 3f 93 15 54 bb 2a
00000040: 9f 24 2b 17 92 60 05 68 21 74 a4 0a 28 eb 27 48
00000050: 90 50 37 ca 5c 0b 67 52 27 d2 7c 39 4b 85 35 0a
00000060: 23 90 a1 a0 79 8b 33 c0 73 d6 a0 9b fc 83 c9 f0
00000070: ef 23 22 19 16 6d e8 f4 b1 17 16 30 31 e8 a5 53
00000080: db 04 d8 bf 2e 75 9e 06 68 39 96 ec 38 1c 66 74
00000090: 7f e3 85 62 d5 1c da 83 86 63 07 41 f3 ce 2e c9
000000a0: 3a 6e d8 be bd f3 d7 26 a1 a3 c6 ad 6d 65 32 7b
000000b0: 6a 84 9c 11 1a b2 bc 0f a9 88 1e 4c 6b 36 52 ee
000000c0: eb 4d 79 9d d2 f6 af a9 8c 79 09 16 80 a4 25 9d
000000d0: e1 c5 e5 8e bf 4e cd 3f dd 2d f5 33 b8 ad 3d 2c
000000e0: a1 ac 58 7c 45 3f f7 18 4d 02 93 a1 53 f4 07 f4
000000f0: 4c 31 1e 3a 5b 7f 2d 0a d5 e1 6a eb 1d 55 47 29
00000100: ce 7b 1a 08 c6 62 1a a3 f1 bd 8e 05 7a 86 75 cd
00000110: a7 8e ba 3e 1b 9a ce 2e 10 4b 06 ce ed 5e 6f 77
00000120: 8e bc d0 08 40 2c 86 f2 6b 35 17 4d d7 b8 63 08
00000130: af d9 ed ca ad 5e 0b a4 d9 8e ff 8a d7 9f ae 1b
00000140: 11 1e 51 8e 98 22 09 99 2d ff a3 df 8a 38 76 5c
00000150: df 1a b1 79 2f 00 dc 39 42 d2 fe 0f 66 2b 75 72
00000160: 31 e0 59 34 2e 5a c6 51 3e 39 10 11 a6 42 48 34
00000170: 72 5b 16 8d b4 f8 92 e1 9c 84 34 48 2c db 20 38
00000180: ef 74 1b d1 71 f9 84 f7 17 0e df cc ec 13 80 a3
00000190: 7c 66 7c 2c 1e a4 09 8e ff 4a 19 b6 5f 6d fb 84
000001a0: 13 99 37 d1 b7 e6 36 06 a9 b8 40 39 46 25 56 eb
000001b0: 98 59 07 b2 80 95 fb 98 47 30 e1 8f be 7f c4 7e
000001c0: 77 8f 11 c9 b2 08 15 58 6c 57 20 c0 39 f8 5e f4
000001d0: 0d 91 dc 86 0f b5 99 09 d4 e2 8f a0 bf 83 99 b3
000001e0: c3 98 13 9c dc f7 ad 6a 1c 02 8e 45 43 da 3e c6
crypto_register_alg 'ctr(aes)' = 0
Failed to allocate transformation for 'ghash': -2
alg: hash: Failed to load transform for p8_ghash: -2
hidraw: raw HID events driver (C) Jiri Kosina
usbcore: registered new interface driver usbhid
usbhid: USB HID core driver
drop_monitor: Initializing network drop monitor service
ip_tables: (C) 2000-2006 Netfilter Core Team
.
.
.

Is it OK?

Thanks!

Comment 14 IBM Bug Proxy 2015-07-14 12:52:36 UTC
------- Comment From leosilva@br.ibm.com 2015-07-14 12:44 EDT-------
(In reply to comment #22)
> Tried locally built kernel 4.2.0-0.rc2.git0.1.fc23 with up mentioned
> patches. Seems to boot fine, but in log appears:
>
> .
> .
> .
> mousedev: PS/2 mouse device common for all mice
> device-mapper: uevent: version 1.0.3
> device-mapper: ioctl: 4.32.0-ioctl (2015-6-26) initialised:
> dm-devel@redhat.com
> powernv_idle_driver registered
> Using 'aes-generic' as fallback implementation.
> crypto_register_alg 'aes' = 0
> Using 'aes-generic' as fallback implementation.
> Using 'cbc(p8_aes)' as fallback implementation.
> crypto_register_alg 'cbc(aes)' = 0
> Using 'aes-generic' as fallback implementation.
> Using 'ctr(p8_aes)' as fallback implementation.
> alg: skcipher: Test 4 failed on encryption for p8_aes_ctr
> 00000000: 04 f3 d3 88 17 ef dc ef 8b 04 f8 3a 66 8d 1a 53
> 00000010: 57 1f 4b 23 e4 a0 af f9 69 95 35 98 8d 4d 8c c1
> 00000020: f0 b2 7f 80 bb 54 28 a2 7a 1b 9f 77 ec 0e 6e de
> 00000030: 57 1d d4 66 07 60 e1 80 08 24 3f 93 15 54 bb 2a
> 00000040: 9f 24 2b 17 92 60 05 68 21 74 a4 0a 28 eb 27 48
> 00000050: 90 50 37 ca 5c 0b 67 52 27 d2 7c 39 4b 85 35 0a
> 00000060: 23 90 a1 a0 79 8b 33 c0 73 d6 a0 9b fc 83 c9 f0
> 00000070: ef 23 22 19 16 6d e8 f4 b1 17 16 30 31 e8 a5 53
> 00000080: db 04 d8 bf 2e 75 9e 06 68 39 96 ec 38 1c 66 74
> 00000090: 7f e3 85 62 d5 1c da 83 86 63 07 41 f3 ce 2e c9
> 000000a0: 3a 6e d8 be bd f3 d7 26 a1 a3 c6 ad 6d 65 32 7b
> 000000b0: 6a 84 9c 11 1a b2 bc 0f a9 88 1e 4c 6b 36 52 ee
> 000000c0: eb 4d 79 9d d2 f6 af a9 8c 79 09 16 80 a4 25 9d
> 000000d0: e1 c5 e5 8e bf 4e cd 3f dd 2d f5 33 b8 ad 3d 2c
> 000000e0: a1 ac 58 7c 45 3f f7 18 4d 02 93 a1 53 f4 07 f4
> 000000f0: 4c 31 1e 3a 5b 7f 2d 0a d5 e1 6a eb 1d 55 47 29
> 00000100: ce 7b 1a 08 c6 62 1a a3 f1 bd 8e 05 7a 86 75 cd
> 00000110: a7 8e ba 3e 1b 9a ce 2e 10 4b 06 ce ed 5e 6f 77
> 00000120: 8e bc d0 08 40 2c 86 f2 6b 35 17 4d d7 b8 63 08
> 00000130: af d9 ed ca ad 5e 0b a4 d9 8e ff 8a d7 9f ae 1b
> 00000140: 11 1e 51 8e 98 22 09 99 2d ff a3 df 8a 38 76 5c
> 00000150: df 1a b1 79 2f 00 dc 39 42 d2 fe 0f 66 2b 75 72
> 00000160: 31 e0 59 34 2e 5a c6 51 3e 39 10 11 a6 42 48 34
> 00000170: 72 5b 16 8d b4 f8 92 e1 9c 84 34 48 2c db 20 38
> 00000180: ef 74 1b d1 71 f9 84 f7 17 0e df cc ec 13 80 a3
> 00000190: 7c 66 7c 2c 1e a4 09 8e ff 4a 19 b6 5f 6d fb 84
> 000001a0: 13 99 37 d1 b7 e6 36 06 a9 b8 40 39 46 25 56 eb
> 000001b0: 98 59 07 b2 80 95 fb 98 47 30 e1 8f be 7f c4 7e
> 000001c0: 77 8f 11 c9 b2 08 15 58 6c 57 20 c0 39 f8 5e f4
> 000001d0: 0d 91 dc 86 0f b5 99 09 d4 e2 8f a0 bf 83 99 b3
> 000001e0: c3 98 13 9c dc f7 ad 6a 1c 02 8e 45 43 da 3e c6
> crypto_register_alg 'ctr(aes)' = 0
> Failed to allocate transformation for 'ghash': -2
> alg: hash: Failed to load transform for p8_ghash: -2
> hidraw: raw HID events driver (C) Jiri Kosina
> usbcore: registered new interface driver usbhid
> usbhid: USB HID core driver
> drop_monitor: Initializing network drop monitor service
> ip_tables: (C) 2000-2006 Netfilter Core Team
> .
> .
> .
>
> Is it OK?
>
> Thanks!

No, it's not OK. I also saw this. Seems to be a different bug in CTR selftest. We already open an internal bug for this issue.

It's probably related with CTR counter is overflowing. It works for 48 bytes on self test but for the rest it's messed.

Comment 15 Dan Horák 2015-07-30 07:55:59 UTC
IBM, is there any progress with the failed selfcheck and acceptance of the previous fixes in mainline kernel? We could probably disable VSX for a limited period in the Fedora kernels, but it also disables transactional memory support.

Comment 16 IBM Bug Proxy 2015-07-30 15:04:15 UTC
------- Comment From leosilva@br.ibm.com 2015-07-30 12:44 EDT-------
(In reply to comment #24)
> IBM, is there any progress with the failed selfcheck and acceptance of the
> previous fixes in mainline kernel? We could probably disable VSX for a
> limited period in the Fedora kernels, but it also disables transactional
> memory support.

From CTR we already fix it, although any patch was sent yet since GHASH issue is still in progress and I plan to send both. But it's a different issue and another bug was open to follow it.

For VSX issue patches were accepted into cryptodev tree, but won't merged into upstream yet.

These are the commit in this tree:
crypto: vmx - Adding enable_kernel_vsx() to access VSX instructions
2d6f0600b2cd755959527230ef5a6fba97bb762a

powerpc: Uncomment and make enable_kernel_vsx() routine available
72cd7b44bc99376b3f3c93cedcd052663fcdf705

Thanks for your support.

Comment 17 Peter Robinson 2015-07-31 12:13:24 UTC
In the interim until this lands we're disabled CRYPTO_DEV_VMX_ENCRYPT in F-23/rawhide so we can move forward.

http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?id=f2b1b300d36dbada5d9e94ee7f60abea94a244b0

Comment 18 IBM Bug Proxy 2015-08-11 16:21:33 UTC
------- Comment From pfsmorigo@br.ibm.com 2015-08-11 16:18 EDT-------
I updated my machine today to use f22 and hit the same issue. If I use kernel 4.1.3-201.fc22.ppc64le I have the same problem reported here.

Leonidas' patches are already upstream so maybe we can do a backport  to f22 as well, right?

Comment 19 Peter Robinson 2015-08-26 13:24:15 UTC
I've pushed this to F-22/21 so it will show up in the next kernel build, likely 4.1.7

Comment 21 Fedora Update System 2015-09-05 01:03:15 UTC
kernel-4.1.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 22 Fedora Update System 2015-09-06 18:52:10 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 23 Fedora Update System 2015-09-11 17:21:36 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-09-15 17:36:03 UTC
kernel-4.1.7-100.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 25 Fedora Update System 2015-09-17 01:02:31 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 26 Fedora Update System 2015-09-23 00:20:05 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Peter Robinson 2015-11-04 11:24:06 UTC
This was pushed stable, not sure why it wasn't closed

Comment 28 IBM Bug Proxy 2018-01-18 10:50:51 UTC
arch/powerpc/Makefile:KBUILD_CFLAGS += $(call cc-option,-mno-vsx)


Note You need to log in before you can comment on or make changes to this bug.